org.springframework.data.relational.core.mapping.event

## Class AbstractRelationalEventListener<E>

- java.lang.Object
- - org.springframework.data.relational.core.mapping.event.AbstractRelationalEventListener<E>

Type Parameters:
  `E` -

All Implemented Interfaces:
  EventListener, ApplicationListener<AbstractRelationalEvent<?>>

    public class AbstractRelationalEventListener<E>
    extends Object
    implements ApplicationListener<AbstractRelationalEvent<?>>

Base class to implement domain class specific `ApplicationListener` classes.

Since:
  2.0
Author:
  Jens Schauder

### Constructor Summary

Constructors
Constructor and Description
`AbstractRelationalEventListener()` Creates a new `AbstractRelationalEventListener`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `onAfterDelete(AfterDeleteEvent<E> event)` Captures `AfterDeleteEvent`.
`protected void` `onAfterLoad(AfterLoadEvent<E> event)` Captures `AfterLoadEvent`.
`protected void` `onAfterSave(AfterSaveEvent<E> event)` Captures `AfterSaveEvent`.
`void` `onApplicationEvent(AbstractRelationalEvent<?> event)`
`protected void` `onBeforeConvert(BeforeConvertEvent<E> event)` Captures `BeforeConvertEvent`.
`protected void` `onBeforeDelete(BeforeDeleteEvent<E> event)` Capture `BeforeDeleteEvent`.
`protected void` `onBeforeSave(BeforeSaveEvent<E> event)` Captures `BeforeSaveEvent`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.context.ApplicationListener

`forPayload`

### Constructor Detail

#### AbstractRelationalEventListener

    public AbstractRelationalEventListener()

Creates a new `AbstractRelationalEventListener`.

### Method Detail

#### onApplicationEvent

    public void onApplicationEvent(AbstractRelationalEvent<?> event)

Specified by:
  `onApplicationEvent` in interface `ApplicationListener<AbstractRelationalEvent<?>>`

#### onBeforeConvert

    protected void onBeforeConvert(BeforeConvertEvent<E> event)

Captures `BeforeConvertEvent`.

Parameters:
  `event` - never null.

#### onBeforeSave

    protected void onBeforeSave(BeforeSaveEvent<E> event)

Captures `BeforeSaveEvent`.

Parameters:
  `event` - will never be null.

#### onAfterSave

    protected void onAfterSave(AfterSaveEvent<E> event)

Captures `AfterSaveEvent`.

Parameters:
  `event` - will never be null.

#### onAfterLoad

    protected void onAfterLoad(AfterLoadEvent<E> event)

Captures `AfterLoadEvent`.

Parameters:
  `event` - will never be null.

#### onAfterDelete

    protected void onAfterDelete(AfterDeleteEvent<E> event)

Captures `AfterDeleteEvent`.

Parameters:
  `event` - will never be null.

#### onBeforeDelete

    protected void onBeforeDelete(BeforeDeleteEvent<E> event)

Capture `BeforeDeleteEvent`.

Parameters:
  `event` - will never be null.